Package org.eclipse.birt.chart.model.component.impl

# Class EStringToDataSetMapEntryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.EStringToDataSetMapEntryImpl

All Implemented Interfaces:
  `Map.Entry<String,DataSet>`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.common.util.BasicEMap.Entry<String,DataSet>`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class EStringToDataSetMapEntryImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements org.eclipse.emf.common.util.BasicEMap.Entry<String,DataSet>
An implementation of the model object 'EString To Data Set Map Entry'.

The following features are implemented:

- `Key`
- `Value`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetTypedValue(DataSet newValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`org.eclipse.emf.common.util.EMap<String,DataSet>`
`getEMap()`
`int`
`getHash()`
`String`
`getKey()`
`String`
`getTypedKey()`
`DataSet`
`getTypedValue()`
`DataSet`
`getValue()`
`void`
`setHash(int hash)`
`void`
`setKey(String key)`
`void`
`setTypedKey(String newKey)`
`void`
`setTypedValue(DataSet newValue)`
`DataSet`
`setValue(DataSet value)`
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface java.util.Map.Entry

`equals, hashCode`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eNotify`

## Method Details

### getTypedKey

public String getTypedKey()

### setTypedKey

public void setTypedKey(String newKey)

### getTypedValue

public DataSet getTypedValue()

### basicSetTypedValue

public org.eclipse.emf.common.notify.NotificationChain basicSetTypedValue(DataSet newValue, org.eclipse.emf.common.notify.NotificationChain msgs)

### setTypedValue

public void setTypedValue(DataSet newValue)

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getHash

public int getHash()

Specified by:
  `getHash` in interface `org.eclipse.emf.common.util.BasicEMap.Entry<String,DataSet>`

### setHash

public void setHash(int hash)

Specified by:
  `setHash` in interface `org.eclipse.emf.common.util.BasicEMap.Entry<String,DataSet>`

### getKey

public String getKey()

Specified by:
  `getKey` in interface `Map.Entry<String,DataSet>`

### setKey

public void setKey(String key)

Specified by:
  `setKey` in interface `org.eclipse.emf.common.util.BasicEMap.Entry<String,DataSet>`

### getValue

public DataSet getValue()

Specified by:
  `getValue` in interface `Map.Entry<String,DataSet>`

### setValue

public DataSet setValue(DataSet value)

Specified by:
  `setValue` in interface `Map.Entry<String,DataSet>`

### getEMap

public org.eclipse.emf.common.util.EMap<String,DataSet> getEMap()